package net.rumati.logging.muffero.util;

public class ClassUtil
{
    private ClassUtil(){}

    public static boolean classImplements(Class implementor, Class iface)
    {
        for (Class c = implementor; c != null; c = c.getSuperclass()){
            if (c == iface){
                return true;
            }
            for (Class i : c.getInterfaces()){
                if (i == iface){
                    return true;
                }
            }
        }
        return false;
    }
}
